For the complete documentation index, see llms.txt. This page is also available as Markdown.

/fulfillment-orders

List fulfillment orders

get

Lists fulfillment orders across pre-orders that are now fulfillable. Results are paginated.

Authorizations
X-Purple-Dot-Access-TokenstringRequired

Your store's private access token. It can also be sent as Authorization: Bearer <token>.

Query parameters
limitintegerOptional

Number of fulfillment orders to return, from 1 to 250. Defaults to 50.

Default: 50Example: 50
created_at_minstring · date-timeOptional

Fulfillment orders created at or after this time.

Example: 2024-11-01T00:00:00.000Z
starting_afterstringOptional

Returns fulfillment orders after the given fulfillment order ID.

Example: a1b2c3d4-e5f6-4890-9234-567890abcdef
referencesstringOptional

Comma-separated, URL-encoded Purple Dot fulfillment order references.

Example: #PD2850312/1
Responses
200

A page of fulfillment orders.

application/json
get/fulfillment-orders
GET /admin/api/v1/fulfillment-orders HTTP/1.1
Host: www.purpledotprice.com
X-Purple-Dot-Access-Token: YOUR_API_KEY
Accept: */*
{
  "meta": {
    "result": "success"
  },
  "data": {
    "fulfillment_orders": [
      {
        "id": "a1b2c3d4-e5f6-4890-9234-567890abcdef",
        "status": "UNFULFILLED",
        "created_at": "2024-11-14T16:22:59.432Z",
        "purchased_at": "2024-11-14T16:18:25.635Z",
        "reference": "#PD2850312/1",
        "platform": "SHOPIFY",
        "external_order_id": "gid://shopify/Order/5616927408181",
        "shopify_order_id": 5616927408181,
        "shopify_fulfillment_order_id": 6988102148149,
        "currency": "USD",
        "customer": {
          "email": "test@getpurpledot.com",
          "first_name": "Test",
          "last_name": "Testington",
          "external_id": 7287702192181,
          "tags": [
            "vip"
          ],
          "default_address": {
            "first_name": "Test",
            "last_name": "Testington",
            "address1": "10 Test Road",
            "address2": "Apt 4B",
            "city": "New York",
            "postal_code": "10463",
            "province_code": "NY",
            "country": "United States",
            "country_code": "US",
            "phone": "+19172756975"
          }
        },
        "line_items": [
          {
            "id": "55bedf52-ccf0-431a-a75b-2e999e93a5da",
            "name": "Test Product 1",
            "product_id": "6914583167029",
            "variant_id": "41125120573493",
            "sku": "PS4-GRVN",
            "quantity": 1,
            "price": 39.99,
            "total": 26.01,
            "total_discount": 16.1,
            "discount_allocations": [
              {
                "amount": 16.1,
                "discount_application_index": 0
              }
            ],
            "taxable": true,
            "tax_lines": [
              {
                "price": 2.12,
                "rate": 0.08875,
                "title": "SALES_TAX",
                "inclusive": false
              }
            ],
            "product_url": "https://example.com/products/test-product-1",
            "image_url": "https://example.com/images/test-product-1.jpg",
            "shopify_fulfillment_order_line_item_id": 14217093455925,
            "shopify_line_item_id": 13278614585397
          }
        ],
        "shipping_address": {
          "first_name": "Test",
          "last_name": "Testington",
          "address1": "10 Test Road",
          "address2": "Apt 4B",
          "city": "New York",
          "postal_code": "10463",
          "province_code": "NY",
          "country": "United States",
          "country_code": "US",
          "phone": "+19172756975"
        },
        "shipping_lines": [
          {
            "code": "usps_1058",
            "title": "Calculated Shipping Rate",
            "price": 5.98,
            "total": 3.88,
            "tax_lines": [
              {
                "price": 0.31,
                "rate": 0.08875,
                "title": "SALES_TAX"
              }
            ]
          }
        ],
        "tax_included": false,
        "total_shipping": 3.88,
        "total_tax": 2.43,
        "total_discounts": 16.1,
        "subtotal_price": 39.99,
        "total_price": 29.89,
        "note": "Please leave at the front desk."
      }
    ],
    "starting_after": "a1b2c3d4-e5f6-4890-9234-567890abcdef",
    "has_more": false
  }
}

Last updated